DynamicJava Javadoc: Class InterfaceDeclaration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class InterfaceDeclaration

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.TypeDeclaration
                  |
                  +--koala.dynamicjava.tree.InterfaceDeclaration

public class InterfaceDeclaration
extends TypeDeclaration

This class represents an interface declaration

Fields inherited from class koala.dynamicjava.tree.TypeDeclaration
`ACCESS_FLAGS, INTERFACES, MEMBERS, NAME`

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Constructor Summary
`InterfaceDeclaration(int flags, java.lang.String name, java.util.List impl, java.util.List body)` Creates a new interface declaration
`InterfaceDeclaration(int flags, java.lang.String name, java.util.List impl, java.util.List body, java.lang.String fn, int bl, int bc, int el, int ec)` Creates a new interface declaration

Method Summary
`java.lang.Object` | `acceptVisitor(Visitor visitor)` Allows a visitor to traverse the tree

Methods inherited from class koala.dynamicjava.tree.TypeDeclaration
`getAccessFlags, getInterfaces, getMembers, getName, setAccessFlags, setInterfaces, setMembers, setName`

Methods inherited from class koala.dynamicjava.tree.Node
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterfaceDeclaration

    public InterfaceDeclaration(int flags,
                                java.lang.String name,
                                java.util.List impl,
                                java.util.List body)

  Creates a new interface declaration
  Parameters:
    `flags` - the access flags
    `name` - the name of the interface to declare
    `impl` - the list of implemented interfaces. Can be null.
    `body` - the list of fields declarations

### InterfaceDeclaration

    public InterfaceDeclaration(int flags,
                                java.lang.String name,
                                java.util.List impl,
                                java.util.List body,
                                java.lang.String fn,
                                int bl,
                                int bc,
                                int el,
                                int ec)

  Creates a new interface declaration
  Parameters:
    `flags` - the access flags
    `name` - the name of the interface to declare
    `impl` - the list of implemented interfaces. Can be null.
    `body` - the list of fields declarations
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column

Method Detail

### acceptVisitor

    public java.lang.Object acceptVisitor(Visitor visitor)

  Allows a visitor to traverse the tree
  Overrides:
    `acceptVisitor` in class `Node`
  Parameters:
    `visitor` - the visitor to accept

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.